import { ClassFeedPostViewModel, CommentViewModel, MyGoalTemplate, MyHealthTemplate, MyMoodTemplate } from "../../../../models/class.model";
export declare class SparkleGwwItem {
  post: ClassFeedPostViewModel;
  onPostComment: Function;
  loading: boolean;
  comment: string;
  presentModal(comments: CommentViewModel[]): Promise<void>;
  clearCommentField(): void;
  renderMyMoodTemplate(data: MyMoodTemplate): any;
  renderMyHealthTemplate(data: MyHealthTemplate): any;
  renderMyGoalTemplate(data: MyGoalTemplate): any;
  renderTemplate(): any;
  render(): any;
}
